# ArmatureEditBones(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``ArmatureEditBones`(bpy_struct)

  Collection of armature edit bones

  `active`

    Armatures active edit bone

    Type: | `EditBone`

  `new`(name)

    Add a new bone

    Parameters: | name (string, (never None)) – New name for the bone
    Returns: | Newly created edit bone
    Return type: | `EditBone`

  `remove`(bone)

    Remove an existing bone from the armature

    Parameters: | bone (`EditBone`, (never None)) – EditBone to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`Armature.edit_bones` |